管理多密钥
👨💼 需要管理员权限(Admin)
POST
/api/channel/multi_key/manage管理多密钥
👨💼 需要管理员权限(Admin)
请求体
Content-Type: application/json
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
channel_id | integer | ||
action | string | 可选值: get_key_status, disable_key, enable_key, delete_key, delete_disabled_keys, enable_all_keys, disable_all_keys | |
key_index | integer |
示例代码
curl -X POST "https://api.nodeprice.com/api/channel/multi_key/manage" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <token>" \
-d '{
"channel_id": 0,
"action": "get_key_status",
"key_index": 0
}'const url = "https://api.nodeprice.com/api/channel/multi_key/manage";
const body = {
"channel_id": 0,
"action": "get_key_status",
"key_index": 0
};
const response = await fetch(url, {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify(body)
});
console.log(await response.text());package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
url := "https://api.nodeprice.com/api/channel/multi_key/manage"
body := strings.NewReader(`{
"channel_id": 0,
"action": "get_key_status",
"key_index": 0
}`)
req, err := http.NewRequest("POST", url, body)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer <token>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
data, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(data))
}import requests
url = "https://api.nodeprice.com/api/channel/multi_key/manage"
body = """{
"channel_id": 0,
"action": "get_key_status",
"key_index": 0
}"""
response = requests.request("POST", url, data=body, headers={
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
})
print(response.text)OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n"
+ " \"channel_id\": 0,\n"
+ " \"action\": \"get_key_status\",\n"
+ " \"key_index\": 0\n"
+ "}");
Request request = new Request.Builder()
.url("https://api.nodeprice.com/api/channel/multi_key/manage")
.method("POST", body)
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer <token>")
.build();
Response response = client.newCall(request).execute();
System.out.println(response.body().string());#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl = curl_easy_init();
if (curl == NULL) {
return 1;
}
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(curl, CURLOPT_URL, "https://api.nodeprice.com/api/channel/multi_key/manage");
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, "{\n"
+ " \"channel_id\": 0,\n"
+ " \"action\": \"get_key_status\",\n"
+ " \"key_index\": 0\n"
+ "}");
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
CURLcode code = curl_easy_perform(curl);
if (code != CURLE_OK) {
fprintf(stderr, "%s\n", curl_easy_strerror(code));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
return 0;
}using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main()
{
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://api.nodeprice.com/api/channel/multi_key/manage");
request.Headers.Add("Authorization", "Bearer <token>");
request.Content = new StringContent("{\n"
+ " \"channel_id\": 0,\n"
+ " \"action\": \"get_key_status\",\n"
+ " \"key_index\": 0\n"
+ "}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
}
}